Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.appconn
Class MSMQInboundConfiguration

    java.lang.Object
      com.stc.connector.msmqadapter.appconn.MSMQInboundConfiguration

    public class MSMQInboundConfiguration

extends java.lang.Object

This is the bean class that holds inbound configuration information if any.

Constructor Summary
`MSMQInboundConfiguration()` Default constructor

Method Summary
`java.lang.Number` | `getInConnectionRetriesCount()` Returns the inConnectionRetriesCount
`java.lang.Number` | `getInConnectionRetryInterval()` Returns the inConnectionRetryInterval
`java.lang.String` | `getInMSMQAccessMode()` Returns the inMSMQAccessMode
`java.lang.String` | `getInMSMQFormatName()` Returns the inMSMQFormatName
`java.lang.String` | `getInMSMQHost()` Returns the inMSMQHost
`java.lang.String` | `getInMSMQName()` Returns the inMSMQName
`java.lang.String` | `getInMSMQReceiveActionCode()` Returns the inMSMQReceiveActionCode
`java.lang.String` | `getInMSMQShareMode()` Returns the inMSMQShareMode
`java.lang.String` | `getInMSMQTransactionType()` Returns the inMSMQReceiveActionCode
`java.lang.String` | `getInQueueAlias()` Returns the inQueueAlias
`java.lang.Number` | `getPollMilliseconds()` Returns the PollMilliseconds
`void` | `initialize(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Initialize the MSMQInboundConfiguration instance with the Properties bundle.
`void` | `setInConnectionRetriesCount(java.lang.Number inConnectionRetriesCount)` Sets the inConnectionRetriesCount
`void` | `setInConnectionRetryInterval(java.lang.Number inConnectionRetryInterval)` Sets the inConnectionRetryInterval
`void` | `setInMSMQAccessMode(java.lang.String inMSMQAccessMode)` Sets the inMSMQAccessMode
`void` | `setInMSMQFormatName(java.lang.String inMSMQFormatName)` Sets the inMSMQFormatName
`void` | `setInMSMQHost(java.lang.String inMSMQHost)` Sets the inMSMQHost
`void` | `setInMSMQName(java.lang.String inMSMQName)` Sets the inMSMQName
`void` | `setInMSMQReceiveActionCode(java.lang.String inMSMQReceiveActionCode)` Sets the inMSMQReceiveActionCode
`void` | `setInMSMQShareMode(java.lang.String inMSMQShareMode)` Sets the inMSMQShareMode
`void` | `setInMSMQTransactionType(java.lang.String inVar)` Sets the inMSMQReceiveActionCode
`void` | `setInQueueAlias(java.lang.String inQueueAlias)` Sets the inQueueAlias
`void` | `setPollMilliseconds(java.lang.Number PollMilliseconds)` Sets the PollMilliseconds

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSMQInboundConfiguration

    public MSMQInboundConfiguration()

  Default constructor

Method Detail

### initialize

    public void initialize(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                    throws MSMQApplicationException

  Initialize the MSMQInboundConfiguration instance with the Properties bundle.

  Parameters:
    `originalConfig` - The Properties bundle containing the configuration information.
  Throws:
    `MSMQApplicationException`

### setInMSMQFormatName

    public void setInMSMQFormatName(java.lang.String inMSMQFormatName)

  Sets the inMSMQFormatName

  Parameters:
    `inMSMQFormatName` -

### getInMSMQFormatName

    public java.lang.String getInMSMQFormatName()

  Returns the inMSMQFormatName

  Returns:
    inMSMQFormatName

### setInMSMQAccessMode

    public void setInMSMQAccessMode(java.lang.String inMSMQAccessMode)

  Sets the inMSMQAccessMode

  Parameters:
    `inMSMQAccessMode` -

### getInMSMQAccessMode

    public java.lang.String getInMSMQAccessMode()

  Returns the inMSMQAccessMode

  Returns:
    inMSMQAccessMode

### setInMSMQShareMode

    public void setInMSMQShareMode(java.lang.String inMSMQShareMode)

  Sets the inMSMQShareMode

  Parameters:
    `inMSMQShareMode` -

### getInMSMQShareMode

    public java.lang.String getInMSMQShareMode()

  Returns the inMSMQShareMode

  Returns:
    inMSMQShareMode

### setInQueueAlias

    public void setInQueueAlias(java.lang.String inQueueAlias)

  Sets the inQueueAlias

  Parameters:
    `inQueueAlias` -

### getInQueueAlias

    public java.lang.String getInQueueAlias()

  Returns the inQueueAlias

  Returns:
    inQueueAlias

### setInMSMQHost

    public void setInMSMQHost(java.lang.String inMSMQHost)

  Sets the inMSMQHost

  Parameters:
    `inMSMQHost` -

### getInMSMQHost

    public java.lang.String getInMSMQHost()

  Returns the inMSMQHost

  Returns:
    inMSMQHost

### setInMSMQReceiveActionCode

    public void setInMSMQReceiveActionCode(java.lang.String inMSMQReceiveActionCode)

  Sets the inMSMQReceiveActionCode

  Parameters:
    `inMSMQReceiveActionCode` -

### getInMSMQReceiveActionCode

    public java.lang.String getInMSMQReceiveActionCode()

  Returns the inMSMQReceiveActionCode

  Returns:
    inMSMQReceiveActionCode

### setInMSMQTransactionType

    public void setInMSMQTransactionType(java.lang.String inVar)

  Sets the inMSMQReceiveActionCode

  Parameters:
    `inMSMQReceiveActionCode` -

### getInMSMQTransactionType

    public java.lang.String getInMSMQTransactionType()

  Returns the inMSMQReceiveActionCode

  Returns:
    inMSMQReceiveActionCode

### setPollMilliseconds

    public void setPollMilliseconds(java.lang.Number PollMilliseconds)

  Sets the PollMilliseconds

  Parameters:
    `PollMilliseconds` -

### getPollMilliseconds

    public java.lang.Number getPollMilliseconds()

  Returns the PollMilliseconds

  Returns:
    PollMilliseconds

### setInMSMQName

    public void setInMSMQName(java.lang.String inMSMQName)

  Sets the inMSMQName

  Parameters:
    `inMSMQName` -

### getInMSMQName

    public java.lang.String getInMSMQName()

  Returns the inMSMQName

  Returns:
    inMSMQName

### setInConnectionRetriesCount

    public void setInConnectionRetriesCount(java.lang.Number inConnectionRetriesCount)

  Sets the inConnectionRetriesCount

  Parameters:
    `inConnectionRetriesCount` -

### getInConnectionRetriesCount

    public java.lang.Number getInConnectionRetriesCount()

  Returns the inConnectionRetriesCount

  Returns:
    inConnectionRetriesCount

### setInConnectionRetryInterval

    public void setInConnectionRetryInterval(java.lang.Number inConnectionRetryInterval)

  Sets the inConnectionRetryInterval

  Parameters:
    `inConnectionRetryInterval` -

### getInConnectionRetryInterval

    public java.lang.Number getInConnectionRetryInterval()

  Returns the inConnectionRetryInterval

  Returns:
    inConnectionRetryInterval

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD